summaryrefslogtreecommitdiffstats
path: root/development/uncrustify
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-11 22:22:50 +0200
committer David Somero2010-05-11 22:22:50 +0200
commit5b4180c8aa34e8b4ea271426718cb574091b9df5 (patch)
treeeca9772d4e06cf52d9124fc184e4f81ad223e860 /development/uncrustify
parent4f83611e2a5bdc40899173681dfe2eb247190185 (diff)
downloadslackbuilds-5b4180c8aa34e8b4ea271426718cb574091b9df5.tar.gz
development/uncrustify: Updated for version 0.50
Diffstat (limited to 'development/uncrustify')
-rw-r--r--development/uncrustify/README8
-rw-r--r--development/uncrustify/uncrustify.SlackBuild18
-rw-r--r--development/uncrustify/uncrustify.info12
3 files changed, 22 insertions, 16 deletions
diff --git a/development/uncrustify/README b/development/uncrustify/README
index 8af28f0b49..de25c92f08 100644
--- a/development/uncrustify/README
+++ b/development/uncrustify/README
@@ -1,5 +1,5 @@
Uncrustify is a source code beautifier that allows you to banish crusty
-code. It works with C, C++, C#, D, Java, and Pawn and indents (with
-spaces only, tabs and spaces, and tabs only), adds and removes newlines,
-has a high degree of control over operator spacing, aligns code, is
-extremely configurable, and is easy to modify.
+code. It works with C, C++, C#, D, Java, and Pawn and indents (with spaces
+only, tabs and spaces, and tabs only), adds and removes newlines, has a
+high degree of control over operator spacing, aligns code, is extremely
+configurable, and is easy to modify.
diff --git a/development/uncrustify/uncrustify.SlackBuild b/development/uncrustify/uncrustify.SlackBuild
index e9d11e8713..fa705584f5 100644
--- a/development/uncrustify/uncrustify.SlackBuild
+++ b/development/uncrustify/uncrustify.SlackBuild
@@ -2,10 +2,10 @@
# Slackware build script for uncrustify
-# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=uncrustify
-VERSION=0.43
+VERSION=${VERSION:-0.50}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -19,6 +19,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -42,14 +44,18 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/development/uncrustify/uncrustify.info b/development/uncrustify/uncrustify.info
index 554bf9ef2b..f517d55d5c 100644
--- a/development/uncrustify/uncrustify.info
+++ b/development/uncrustify/uncrustify.info
@@ -1,8 +1,8 @@
PRGNAM="uncrustify"
-VERSION="0.43"
+VERSION="0.50"
HOMEPAGE="http://uncrustify.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/uncrustify/uncrustify-0.43.tgz"
-MD5SUM="44fd637e7e7139d55c50d0ca91d15e55"
-MAINTAINER="Aleksandar B. Samardzic"
-EMAIL="asamardzic@matf.bg.ac.yu"
-APPROVED="rworkman"
+DOWNLOAD="http://downloads.sourceforge.net/uncrustify/uncrustify-0.50.tgz"
+MD5SUM="02c3aebe0ee486a4ca8bea7b927ad4a4"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
+APPROVED="dsomero"